> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDR reports

> Returns the URL to download the daily CDR report file for the specified date. The URL is valid for 10 minutes and can be generated again after expiry by calling this API.

**Important:**
1. CDR reports must be enabled on your account. Contact Bondio support to enable this feature.
2. The report is generated daily at 4pm UTC. The generated report contains the usage from [day-1] 00:00:00-23:59:59 UTC.
3. CDR files older than 3 months are automatically deleted from the system.

Here is the format of the report: 
`cdr_2025-10-02.csv`
```
iccid,bytes,charges,mcc,mnc
8944261000000180260,287148726,0.36905,427,1
8944261000000131836,1455471533,1.24707,310,410
8944261000000132427,567695602,0.8988,426,2
8944261000000101322,197312069,0.31239,426,2
8944261000000101013,764217326,0.51956,410,1
8944261000000131876,7776343,0.00855,419,2
```



## OpenAPI

````yaml /openapi.yaml get /v1/cdr-reports
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/cdr-reports:
    get:
      tags:
        - CDR Reports
      summary: Get CDR reports
      description: >-
        Returns the URL to download the daily CDR report file for the specified
        date. The URL is valid for 10 minutes and can be generated again after
        expiry by calling this API.


        **Important:**

        1. CDR reports must be enabled on your account. Contact Bondio support
        to enable this feature.

        2. The report is generated daily at 4pm UTC. The generated report
        contains the usage from [day-1] 00:00:00-23:59:59 UTC.

        3. CDR files older than 3 months are automatically deleted from the
        system.


        Here is the format of the report: 

        `cdr_2025-10-02.csv`

        ```

        iccid,bytes,charges,mcc,mnc

        8944261000000180260,287148726,0.36905,427,1

        8944261000000131836,1455471533,1.24707,310,410

        8944261000000132427,567695602,0.8988,426,2

        8944261000000101322,197312069,0.31239,426,2

        8944261000000101013,764217326,0.51956,410,1

        8944261000000131876,7776343,0.00855,419,2

        ```
      operationId: get-v1-cdr-reports
      parameters:
        - schema:
            type: string
            format: date
            example: '2025-10-02'
          in: query
          name: date
          required: true
          description: >-
            The date for which to retrieve CDR reports (format: YYYY-MM-DD).
            Data is available starting from the previous day.
      responses:
        '200':
          description: Returns the CDR report file URL for the specified date
          content:
            application/json:
              schema:
                type: object
                required:
                  - files
                properties:
                  files:
                    type: array
                    x-stoplight:
                      id: cdr-files-array
                    items:
                      type: object
                      x-stoplight:
                        id: cdr-file-item
                      required:
                        - url
                      properties:
                        url:
                          type: string
                          x-stoplight:
                            id: cdr-file-url
                          description: >-
                            Temporary URL to download the CDR report file. Valid
                            for 10 minutes.
              examples:
                Example 1:
                  value:
                    files:
                      - url: >-
                          https://cdn.bondio.co/cdr/acct_xxxx/2025-10-02.csv?token=...
        '404':
          description: No CDR report available for the specified date
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````